.availability-chart {
  position: relative;
  overflow-x: scroll;
  overflow-y: hidden;
  white-space: nowrap;
  width: 100%;

  .availability-chart-container {
    min-width: 1000px;
    margin-left: 15px;
    margin-right: 15px;

    > .row {
      min-width: 100%;

      &:first-child {
        text-align: center;

        > .col-1 {
          border-bottom: 1px solid #999;
          padding-top: 0.75em;
          padding-bottom: 0.75em;
        }
      }

      &:last-child {
        > .col-1 {
          border-bottom: 0 !important;
        }
      }

      > .col-1 {
        flex-basis: calc(100% / 8);
        max-width: calc(100% / 8);
        cursor: default;
        &::selection { background-color: transparent }

        &:not(:first-child) {
          padding-right: 0;
          padding-left: 0;

          border-right: 1px solid #999;
        }

        &:first-child {
          border-right: 1px solid #999;
          display: flex;
          justify-content: center;
          align-items: center;
        }

        &:last-child {
          border-right: 0;
        }

        &.yes {
          background-color: rgb(235, 245, 214);
          path { fill: rgb(132, 195, 63) }
        }

        &.maybe {
          background-color: rgb(245, 237, 196);
          path { fill: rgb(191, 186, 38) }
        }

        &.no {
          background-color: rgb(255, 237, 233);
          path { fill: rgb(254, 206, 195) }
        }

        &.yes, &.no, &.maybe {
          border-bottom: 1px solid white;
          min-height: 50px;
          display: flex;
          justify-content: center;
          align-items: center;
        }
      }
    }
  }

  &.availability-chart-editable {
    .yes, .no, .maybe {
      cursor: pointer !important;
    }
  }
}